Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.s1
Class Struts1Action

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          org.apache.struts2.dispatcher.DefaultActionSupport
              org.apache.struts2.s1.Struts1Action

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.interceptor.ScopedModelDriven<org.apache.struts.action.ActionForm>, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.ModelDriven<org.apache.struts.action.ActionForm>, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, java.io.Serializable

    public class Struts1Action

extends org.apache.struts2.dispatcher.DefaultActionSupport
implements com.opensymphony.xwork2.interceptor.ScopedModelDriven<org.apache.struts.action.ActionForm>

Wraps legacy Struts 1.3 Actions. Supports the following features:

- ActionForms
- ActionForwards that have the same name as a result
- ActionMessages stored in the request, converted to Struts 2 messages
- Action-level validation flag

Still to do:

- Custom ActionForward instances that don't have an associated result config
- setServlet() calls for the Action
- Most everything else...

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`Struts1Action()`

Method Summary
`java.lang.String` | `execute()`
`org.apache.struts.action.ActionForm` | `getModel()`
`java.lang.String` | `getScopeKey()`
`boolean` | `isValidate()`
`void` | `setClassName(java.lang.String className)`
`void` | `setModel(org.apache.struts.action.ActionForm model)`
`void` | `setScopeKey(java.lang.String key)`
`void` | `setValidate(boolean validate)`

Methods inherited from class org.apache.struts2.dispatcher.DefaultActionSupport
`getSuccessResultValue, setSuccessResultValue`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearErrorsAndMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Struts1Action

    public Struts1Action()

Method Detail

### execute

    public java.lang.String execute()
                             throws java.lang.Exception

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `org.apache.struts2.dispatcher.DefaultActionSupport`
  Throws:
    `java.lang.Exception`

### setModel

    public void setModel(org.apache.struts.action.ActionForm model)

  Specified by:
    `setModel` in interface `com.opensymphony.xwork2.interceptor.ScopedModelDriven<org.apache.struts.action.ActionForm>`

### getModel

    public org.apache.struts.action.ActionForm getModel()

  Specified by:
    `getModel` in interface `com.opensymphony.xwork2.ModelDriven<org.apache.struts.action.ActionForm>`

### isValidate

    public boolean isValidate()

  Returns:
    the validate

### setValidate

    public void setValidate(boolean validate)

  Parameters:
    `validate` - the validate to set

### setClassName

    public void setClassName(java.lang.String className)

  Parameters:
    `className` - the className to set

### getScopeKey

    public java.lang.String getScopeKey()

  Specified by:
    `getScopeKey` in interface `com.opensymphony.xwork2.interceptor.ScopedModelDriven<org.apache.struts.action.ActionForm>`

### setScopeKey

    public void setScopeKey(java.lang.String key)

  Specified by:
    `setScopeKey` in interface `com.opensymphony.xwork2.interceptor.ScopedModelDriven<org.apache.struts.action.ActionForm>`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.